Bug 1416086 - Use Hex output from crash subcommands whenever possible
Summary: Use Hex output from crash subcommands whenever possible
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: retrace-server
Version: el6
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Dave Wysochanski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 14:51 UTC by Marc Milgram
Modified: 2017-04-18 21:18 UTC (History)
5 users (show)

Fixed In Version: retrace-server-1.17.0-1.fc26 retrace-server-1.17.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-03 16:09:52 UTC


Attachments (Terms of Use)

Description Marc Milgram 2017-01-24 14:51:39 UTC
Description of problem:
The panic messages captured in the console log output show the RIP symbolic with a hex address.  retrace server shows similar output from the bt -a using decimal offsets.

Generally, it is easier to stay consistent and use hex output where possible.


Version-Release number of selected component (if applicable):
https://git.fedorahosted.org/git/retrace-server.git

How reproducible:
100%

Steps to Reproduce:
1. Submit a dump to retrace-server where the dump's RIP has a symbolic address with an offset
2. Look retrace-server output
3. Look at bt-a output (as retrace-server generated it)

Actual results:
The console output is of the form:
RIP: 0010:[<ffffffff8129ee1b>]  [<ffffffff8129ee1b>] plist_add+0x2b/0xa0
But the bt-a output is of the form:
    [exception RIP: plist_add+43]

Expected results:
Output all in hex

Additional info:
crash may be run in hex mode in one of two ways
  crash --hex -s vmcore vmlinux
or
  crash -s vmcore vmlinux
  radix 16

Comment 1 Dave Wysochanski 2017-02-15 17:22:52 UTC
There's some commands where I think it would not be good to default to hex.  For example, we run 'sys -c' and 'hex' mode shows unfamiliar numbering in the syscalls.

The original request was for backtraces and I think it's perfectly fine to default to hex there so it matches oops and we can get consistency.  I talked with Marc online and he was ok with this.  There's basically two commands we run: 'bt -a' and 'foreach bt'

I'll take this and submit a patch shortly as it's an easy fix.

Comment 2 Dave Wysochanski 2017-02-15 17:34:56 UTC
https://github.com/abrt/retrace-server/pull/141

Comment 3 Dave Wysochanski 2017-02-15 18:24:31 UTC
Typo in original commit, fixed:
https://github.com/abrt/retrace-server/pull/142

Comment 4 Dave Wysochanski 2017-02-16 11:23:07 UTC
Minor issue with merge request - will change the patch to use 'set hex' method to ensure the largest backward compatibility (early RHEL6 builds of crash did not have '--hex' for example).

Comment 5 Dave Wysochanski 2017-02-16 11:45:04 UTC
https://github.com/abrt/retrace-server/pull/144

Comment 6 Fedora Update System 2017-03-30 14:11:10 UTC
retrace-server-1.17.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3d55370e77

Comment 7 Fedora Update System 2017-03-30 14:11:48 UTC
retrace-server-1.17.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ffb8a84c9c

Comment 8 Fedora Update System 2017-03-30 14:12:06 UTC
retrace-server-1.17.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9390d60e0d

Comment 9 Fedora Update System 2017-03-30 18:54:20 UTC
retrace-server-1.17.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ffb8a84c9c

Comment 10 Fedora Update System 2017-03-31 03:47:34 UTC
retrace-server-1.17.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9390d60e0d

Comment 11 Fedora Update System 2017-03-31 03:48:56 UTC
retrace-server-1.17.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3d55370e77

Comment 12 Fedora Update System 2017-04-03 16:09:52 UTC
retrace-server-1.17.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-04-18 21:18:31 UTC
retrace-server-1.17.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.